#THIS FILE IS AUTOMATICLY GENERATED DO NOT MODIFY IT
ConfigVersion := 0.0.10
all :
__internal_enable_graders := 1
__internal_enable_groups := 1

problem := weights

CheckerSrc ?= ./check.cpp
CheckerExec ?= .bin/check.exe
CheckerCommand ?= ./.bin/check.exe

ValidatorSrc ?= ./validate.cpp
ValidatorExec ?= .bin/validate.exe
ValidatorCommand ?= ./.bin/validate.exe

StdoutGenList := gen_ra gen_rand twf
GenList := gen_ra gen_rand twf

gen_raTests := tests/014 tests/015 tests/016 tests/017 tests/018 tests/019 tests/020 tests/030 tests/031 tests/032 tests/033 tests/034 tests/035 tests/036 tests/037 tests/038 tests/039 tests/040 tests/041 tests/042 tests/043 tests/059 tests/060 tests/061 tests/062 tests/063 tests/064 tests/065
.DELETE_ON_ERROR : .bin/gen_ra.exe
.SECONDARY : .bin/gen_ra.exe
.bin/gen_ra.exe : src/gen_ra.cpp | .bin
$(gen_raTests) : src/gen_ra.cpp | .bin/gen_ra.exe

gen_randTests := tests/004 tests/005 tests/006 tests/007 tests/008 tests/009 tests/010 tests/011 tests/012 tests/013 tests/021 tests/022 tests/023 tests/024 tests/025 tests/026 tests/027 tests/028 tests/029 tests/044 tests/045 tests/046 tests/047 tests/048 tests/049 tests/050 tests/051 tests/052 tests/053 tests/054 tests/055 tests/056 tests/057 tests/058
.DELETE_ON_ERROR : .bin/gen_rand.exe
.SECONDARY : .bin/gen_rand.exe
.bin/gen_rand.exe : src/gen_rand.cpp | .bin
$(gen_randTests) : src/gen_rand.cpp | .bin/gen_rand.exe

twfTests := tests/001 tests/002 tests/003
.DELETE_ON_ERROR : .bin/twf.exe
.SECONDARY : .bin/twf.exe
.bin/twf.exe : src/twf.c | .bin
$(twfTests) : src/twf.c | .bin/twf.exe


HandTestsFile :=
HandTests := tests/003 tests/001 tests/002
$(HandTests) : tests/% : src/%.hand

CPPSolSrc := solutions/weights_egorshcherbin_slow.cpp solutions/weights_pkun.cpp solutions/weights_egorshcherbin_hack.cpp solutions/weights_egorshcherbin_random.cpp solutions/weights_egorshcherbin_3n.cpp solutions/weights_egorshcherbin_wa1.cpp solutions/weights_nb_n2n.cpp
CPPSolExec := $(CPPSolSrc:solutions/%.cpp=.bin/%.exe)
CPPSolShortNames := $(CPPSolExec:.bin/weights_%.exe=%)

CSolSrc :=
CSolExec := $(CSolSrc:solutions/%.c=.bin/%.exe)
CSolShortNames := $(CSolExec:.bin/weights_%.exe=%)

JAVASolSrc :=
JAVASolExec := $(JAVASolSrc:solutions/%.java=.bin/%.jar)
JAVASolShortNames := $(JAVASolExec:.bin/weights_%.jar=%)

PYSolSrc :=
PYSolExec := $(PYSolSrc:solutions/%.py=.bin/%.py)
PYSolShortNames := $(PYSolExec:.bin/weights_%.py=%)

PASSolSrc :=
PASSolExec := $(PASSolSrc:solutions/%.pas=.bin/%.exe)
PASSolShortNames := $(PASSolExec:.bin/weights_%.exe=%)

DPRSolSrc :=
DPRSolExec := $(DPRSolSrc:solutions/%.dpr=.bin/%.exe)
DPRSolShortNames := $(DPRSolExec:.bin/weights_%.exe=%)

DSolSrc :=
DSolExec := $(DSolSrc:solutions/%.d=.bin/%.exe)
DSolShortNames := $(DSolExec:.bin/weights_%.exe=%)

SolSrc := $(foreach ext,CPP C JAVA PY PAS DPR D,$($(ext)SolSrc))
SolExec := $(foreach ext,CPP C JAVA PY PAS DPR D,$($(ext)SolExec))
SolShortNames := $(foreach ext,CPP C JAVA PY PAS DPR D,$($(ext)SolShortNames))

Tests := 001 002 003 004 005 006 007 008 009 010 011 012 013 014 015 016 017 018 019 020 021 022 023 024 025 026 027 028 029 030 031 032 033 034 035 036 037 038 039 040 041 042 043 044 045 046 047 048 049 050 051 052 053 054 055 056 057 058 059 060 061 062 063 064 065
InDirTests := $(Tests:%=tests/%)
TestsValidateFlags := $(Tests:%=.__temp__/%.val)
TestsGenerateFlags := $(Tests:%=.__temp__/%.gen)
TestAnswers := $(Tests:%=%.a)
InDirTestAnswers := $(Tests:%=tests/%.a)
FileTests :=
MultiGenTests :=

Gen001Line := ./twf.exe <../src/001.hand
Gen002Line := ./twf.exe <../src/002.hand
Gen003Line := ./twf.exe <../src/003.hand
Gen004Line := ./gen_rand.exe 3 3 540000 1000
Gen005Line := ./gen_rand.exe 4 4 540000 1000
Gen006Line := ./gen_rand.exe 5 5 540000 1000
Gen007Line := ./gen_rand.exe 12 8 540000 1000000000
Gen008Line := ./gen_rand.exe 12 9 540000 1000000000
Gen009Line := ./gen_rand.exe 12 10 540000 1000000000
Gen010Line := ./gen_rand.exe 12 11 540000 1000000000
Gen011Line := ./gen_rand.exe 12 12 540000 1000000000
Gen012Line := ./gen_rand.exe 12 13 540000 1000000000
Gen013Line := ./gen_rand.exe 12 14 540000 1000000000
Gen014Line := ./gen_ra.exe 12 14 540000 seed0
Gen015Line := ./gen_ra.exe 12 14 540000 seed1
Gen016Line := ./gen_ra.exe 12 14 540000 seed2
Gen017Line := ./gen_ra.exe 12 14 540000 seed3
Gen018Line := ./gen_ra.exe 12 14 540000 seed4
Gen019Line := ./gen_ra.exe 12 14 540000 seed5
Gen020Line := ./gen_ra.exe 12 14 540000 seed6
Gen021Line := ./gen_rand.exe 18 16 16 1000000000
Gen022Line := ./gen_rand.exe 18 17 17 1000000000
Gen023Line := ./gen_rand.exe 18 18 18 1000000000
Gen024Line := ./gen_rand.exe 18 19 19 1000000000
Gen025Line := ./gen_rand.exe 18 20 20 1000000000
Gen026Line := ./gen_rand.exe 18 21 21 1000000000
Gen027Line := ./gen_rand.exe 18 22 22 1000000000
Gen028Line := ./gen_rand.exe 18 23 23 1000000000
Gen029Line := ./gen_rand.exe 18 24 24 1000000000
Gen030Line := ./gen_ra.exe 18 26 26 seed0
Gen031Line := ./gen_ra.exe 18 26 26 seed1
Gen032Line := ./gen_ra.exe 18 26 26 seed2
Gen033Line := ./gen_ra.exe 18 26 26 seed3
Gen034Line := ./gen_ra.exe 18 26 26 seed4
Gen035Line := ./gen_ra.exe 18 26 26 seed5
Gen036Line := ./gen_ra.exe 18 26 26 seed6
Gen037Line := ./gen_ra.exe 24 2 2 0 seed0
Gen038Line := ./gen_ra.exe 24 2 2 1 seed1
Gen039Line := ./gen_ra.exe 24 2 2 2 seed2
Gen040Line := ./gen_ra.exe 24 2 2 3 seed3
Gen041Line := ./gen_ra.exe 24 2 2 4 seed4
Gen042Line := ./gen_ra.exe 24 2 2 5 seed5
Gen043Line := ./gen_ra.exe 24 2 2 6 seed6
Gen044Line := ./gen_rand.exe 24 2 2 999999994 0
Gen045Line := ./gen_rand.exe 24 2 2 999999995 1
Gen046Line := ./gen_rand.exe 24 2 2 999999996 2
Gen047Line := ./gen_rand.exe 24 2 2 999999997 3
Gen048Line := ./gen_rand.exe 24 2 2 999999998 4
Gen049Line := ./gen_rand.exe 24 2 2 999999999 5
Gen050Line := ./gen_rand.exe 24 2 2 1000000000 6
Gen051Line := ./gen_rand.exe 24 23 23 1000000000000000
Gen052Line := ./gen_rand.exe 26 23 23 1000000000000000
Gen053Line := ./gen_rand.exe 24 24 24 1000000000000000
Gen054Line := ./gen_rand.exe 26 24 24 1000000000000000
Gen055Line := ./gen_rand.exe 24 25 25 1000000000000000
Gen056Line := ./gen_rand.exe 26 25 25 1000000000000000
Gen057Line := ./gen_rand.exe 24 26 26 1000000000000000
Gen058Line := ./gen_rand.exe 26 26 26 1000000000000000
Gen059Line := ./gen_ra.exe 26 26 26 seed0
Gen060Line := ./gen_ra.exe 26 26 26 seed1
Gen061Line := ./gen_ra.exe 26 26 26 seed2
Gen062Line := ./gen_ra.exe 26 26 26 seed3
Gen063Line := ./gen_ra.exe 26 26 26 seed4
Gen064Line := ./gen_ra.exe 26 26 26 seed5
Gen065Line := ./gen_ra.exe 26 26 26 seed6

Test001Group := 0
Test002Group := 1
Test003Group := 1
Test004Group := 1
Test005Group := 1
Test006Group := 1
Test007Group := 1
Test008Group := 1
Test009Group := 1
Test010Group := 1
Test011Group := 1
Test012Group := 1
Test013Group := 1
Test014Group := 1
Test015Group := 1
Test016Group := 1
Test017Group := 1
Test018Group := 1
Test019Group := 1
Test020Group := 1
Test021Group := 2
Test022Group := 2
Test023Group := 2
Test024Group := 2
Test025Group := 2
Test026Group := 2
Test027Group := 2
Test028Group := 2
Test029Group := 2
Test030Group := 2
Test031Group := 2
Test032Group := 2
Test033Group := 2
Test034Group := 2
Test035Group := 2
Test036Group := 2
Test037Group := 3
Test038Group := 3
Test039Group := 3
Test040Group := 3
Test041Group := 3
Test042Group := 3
Test043Group := 3
Test044Group := 3
Test045Group := 3
Test046Group := 3
Test047Group := 3
Test048Group := 3
Test049Group := 3
Test050Group := 3
Test051Group := 4
Test052Group := 4
Test053Group := 4
Test054Group := 4
Test055Group := 4
Test056Group := 4
Test057Group := 4
Test058Group := 4
Test059Group := 4
Test060Group := 4
Test061Group := 4
Test062Group := 4
Test063Group := 4
Test064Group := 4
Test065Group := 4

